API referenceInboxes
Update an inbox
PATCH
/inboxes/{id}Changes the name and agent settings.
Authorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Path Parameters
id*string
Length
1 <= length <= 64Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/inboxes/string" \ -H "Content-Type: application/json" \ -d '{}'{ "object": "inbox", "id": "string", "name": "string", "address": "string", "domain_id": "string", "status": "active", "agent_settings": { "property1": null, "property2": null }, "created_at": "2019-08-24T14:15:22Z"}